%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 37 x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.9.1
%define REL 21
Release:	%{REL}

License:	GP5

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 37 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed Nov 29 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-21
* Release 1.9.1-21
	Kernel modules were added for the following kernels:
		6.5.12-100

* Wed Nov 22 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-20
* Release 1.9.1-20
	Kernel modules were added for the following kernels:
		6.5.11-100

* Wed Nov 15 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-19
* Release 1.9.1-19
	Kernel modules were added for the following kernels:
		6.5.10-100

* Wed Nov 08 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-18
* Release 1.9.1-18
	Kernel modules were added for the following kernels:
		6.5.9-100
		6.5.8-100

* Wed Oct 18 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-17
* Release 1.9.1-17
	Kernel modules were added for the following kernels:
		6.5.7-100

* Wed Oct 11 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-16
* Release 1.9.1-16
	Kernel modules were added for the following kernels:
		6.5.6-100

* Wed Sep 27 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-15
* Release 1.9.1-15
	Kernel modules were added for the following kernels:
		6.5.5-100
		6.4.15-100

* Wed Sep 06 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-13
* Release 1.9.1-13
	Kernel modules were added for the following kernels:
		6.4.13-100

* Wed Aug 30 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-12
* Release 1.9.1-12
	Kernel modules were added for the following kernels:
		6.4.12-100

* Wed Aug 23 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-11
* Release 1.9.1-11
	Kernel modules were added for the following kernels:
		6.4.11-100
		6.4.10-100

* Wed Aug 16 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-10
* Release 1.9.1-10
	Kernel modules were added for the following kernels:
		6.4.9-100

* Wed Aug 09 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-9
* Release 1.9.1-9
	Kernel modules were added for the following kernels:
		6.4.8-100
		6.4.7-100

* Wed Aug 02 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-8
* Release 1.9.1-8
	Kernel modules were added for the following kernels:
		6.4.6-100

* Wed Jul 26 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-7
* Release 1.9.1-7
	Kernel modules were added for the following kernels:
		6.4.4-100

* Wed Jul 12 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-6
* Release 1.9.1-6
	Kernel modules were added for the following kernels:
		6.3.12-100

* Wed Jun 21 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-5
* Release 1.9.1-5
	Kernel modules were added for the following kernels:
		6.3.8-100

* Wed Jun 14 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-4
* Release 1.9.1-4
	Kernel modules were added for the following kernels:
		6.3.7-100
		6.3.6-100

* Wed Jun 07 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-3
* Release 1.9.1-3
	Kernel modules were added for the following kernels:
		6.3.5-100
		6.3.4-101

* Mon May 29 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-2
* Release 1.9.1-2
	Kernel modules were added for the following kernels:
		6.2.15-200
		6.2.14-200
		6.2.13-200
		6.2.12-200
		6.2.11-200
		6.2.10-200
		6.2.9-200
		6.2.8-200
		6.2.7-200
		6.1.18-200

* Mon Mar 13 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-1
* Release 1.9.1-1
	Initial release. Kernel modules were added for the following kernels:
		6.1.15-200
		6.1.14-200
		6.1.13-200
		6.1.12-200
		6.1.11-200
		6.1.10-200
		6.1.9-200
		6.1.8-200
		6.1.7-200
		6.1.6-200
		6.1.5-200
		6.0.18-300
		6.0.17-300
		6.0.16-300
		6.0.15-300
		6.0.14-300
		6.0.13-300
		6.0.12-300
		6.0.11-300
		6.0.10-300
		6.0.9-300
		6.0.8-300
		6.0.7-301
